Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IReactorSSL``

interface documentation

`class IReactorSSL(Interface): (source)`

Known implementations: `twisted.internet.posixbase.PosixReactorBase`, `twisted.internet.testing.MemoryReactor`, `twisted.internet.testing.RaisingMemoryReactor`

View In Hierarchy

Undocumented

Method | `connectSSL` | Connect a client Protocol to a remote SSL socket.
Method | `listenSSL` | Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

def connectSSL(host: `str`, port: `int`, factory: `ClientFactory`, contextFactory: `ClientContextFactory`, timeout: `float`, bindAddress: `Optional[Tuple[str, int]]`) -> `IConnector`: (source)

Connect a client Protocol to a remote SSL socket.

Parameters
host:`str` | a host name
port:`int` | a port number
factory:`ClientFactory` | a `twisted.internet.protocol.ClientFactory` instance
contextFactory:`ClientContextFactory` | a `twisted.internet.ssl.ClientContextFactory` object.
timeout:`float` | number of seconds to wait before assuming the connection has failed.
bindAddress:`Optional[Tuple[str, int]]` | a (host, port) tuple of local address to bind to, or `None`.
Returns
`IConnector` | An object which provides `IConnector`.

def listenSSL(port: `int`, factory: `ServerFactory`, contextFactory: `IOpenSSLContextFactory`, backlog: `int`, interface: `str`) -> `IListeningPort`: (source)

Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

Parameters
port:`int` | a port number on which to listen
factory:`ServerFactory` | a `twisted.internet.protocol.ServerFactory` instance
contextFactory:`IOpenSSLContextFactory` | an implementor of `IOpenSSLContextFactory`
backlog:`int` | size of the listen queue
interface:`str` | the hostname to bind to, defaults to '' (all)
Returns
`IListeningPort` | Undocumented